Page MenuHomePhabricator

[Task] Create mw.wikibase.entity:formatStatements for human readable access to statements
Closed, ResolvedPublic

Description

Invocation should be identical to mw.wikibase.entity:formatPropertyValues, but the output format differs, so that for example external ids are outputted as linked wikitext.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterIntroduce mw.wikibase.entity:formatStatements()

Event Timeline

hoo created this task.Aug 14 2016, 5:21 PM
hoo renamed this task from Create mw.wikibase.entity:formatStatementValues for human readable access to statements to Create mw.wikibase.entity:formatStatements for human readable access to statements.Aug 24 2016, 7:14 PM
thiemowmde triaged this task as Normal priority.Sep 1 2016, 3:47 PM
thiemowmde added a subscriber: thiemowmde.
thiemowmde moved this task from incoming to in progress on the Wikidata board.EditedOct 19 2016, 12:49 PM

Go with formatStatements. Full discussion at T142941#2728378.

thiemowmde renamed this task from Create mw.wikibase.entity:formatStatements for human readable access to statements to [Task] Create mw.wikibase.entity:formatStatementValues for human readable access to statements.Oct 19 2016, 12:49 PM
hoo renamed this task from [Task] Create mw.wikibase.entity:formatStatementValues for human readable access to statements to [Task] Create mw.wikibase.entity:formatStatements for human readable access to statements.Oct 25 2016, 6:32 PM
hoo claimed this task.Oct 25 2016, 7:34 PM
hoo moved this task from Proposed to Doing on the Wikidata-Sprint-2016-10-12 board.

I'm working on this, but wont manage to finish it today.

Change 318316 had a related patch set uploaded (by Hoo man):
Introduce mw.wikibase.entity:formatStatements()

https://gerrit.wikimedia.org/r/318316

hoo moved this task from Doing to Review on the Wikidata-Sprint-2016-10-12 board.Oct 27 2016, 4:25 PM

Change 318316 merged by jenkins-bot:
Introduce mw.wikibase.entity:formatStatements()

https://gerrit.wikimedia.org/r/318316

thiemowmde closed this task as Resolved.Oct 28 2016, 1:32 PM
thiemowmde removed a project: Patch-For-Review.
thiemowmde moved this task from Review to Done on the Wikidata-Sprint-2016-10-12 board.